package com.muzhi.dingtalk.test.controller;

import com.muzhi.dingtalk.test.service.KaoqinService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author ZhangKan
 * @Data 20:32
 */

@Api(description = "钉钉考勤")
@RestController
@RequestMapping("/kaoqinservice/kaoqin")
public class KaoqinController {

    @Autowired
    private KaoqinService kaoqinService;

    //获取考勤结果
    @ApiOperation(value = "获取考勤结果")
    @GetMapping("getKaoqinJG")
    public String getKaoqinJG(){

        String kaoqinJG = kaoqinService.getKaoqinJG();
        return kaoqinJG;
    }

    //获取考勤详情
    @ApiOperation(value = "获取考勤详情")
    @GetMapping("getKaoqinXQ")
    public String getKaoqinXQ(){

        String kaoqinXQ = kaoqinService.getKaoqinXQ();
        return kaoqinXQ;
    }

    //获取考勤组列表详情
    @ApiOperation(value = "获取考勤组列表详情")
    @GetMapping("getKaoqinzuList")
    public String getKaoqinzuList(){

        String kaoqinzuList = kaoqinService.getKaoqinzuList();
        return kaoqinzuList;
    }

    //获取考勤组详情
    @ApiOperation(value = "获取考勤组详情")
    @GetMapping("getKaoqinzuXQ")
    public String getKaoqinzuXQ(){

        String kaoqinzuXQ = kaoqinService.getKaoqinzuXQ();
        return kaoqinzuXQ;
    }
}
